import java.awt.*;

public class Text {
    int x, y;
    String text;
    Color color;
    int th;
    int tn;
    Font font;

    /** Constructor*/
    public Text(int x, int y, String text, Color color, int th, int tn) {
    	this.x = x;
    	this.y = y;
    	this.text = text;
    	this.color = color;
    	this.th = th;
    	this.tn = tn;
    	String fn = getFontName(tn);
    	//fn = fn;
    	//System.out.println(fn);
		this.font = new Font(fn, Font.PLAIN, th);
    }

    private String getFontName(int tn) {
		String fontName;
		switch (tn)
		{
		case 0:
			fontName = "Dialog";
			break;
		case 1:
			fontName = "Courier";
			break;
		case 2:
			fontName = "Dialog";
			break;
		case 3:
			fontName = "Courier";
			break;
		case 4:
			fontName = "Helvetica";
			break;
		case 5:
			fontName = "SansSerif";
			break;
		default:
			fontName = "TimesRoman";
			break;
		}
    	return fontName;    	
    }
    
    public void paint(Graphics g, Dimension d) {
    	g.setColor(color);
    	//Font f = g.getFont();
    	//System.out.println(f.getName());
    	//System.out.println(f.toString());
    	g.setFont(font);
    	//System.out.println(font.toString());
    	int yt = d.height - y;
    	g.drawString(text, x, yt);
    }
}